MAP Class Reference

## Public Member Functions

MapInfo | GetMapInfo ()
void | SavePixelBufferToFile ()
void | DrawPixel (int, int, int, int, int)
void | ClearData ()
void | ResetProb ()
int | SavePgm ()
GdkPixbuf * | CreateMap ()
| MAP (char *, double, double)

## Public Attributes

int | size_x
int | size_y
mapgrid ** | occ_grid
char * | Mapname

## Private Attributes

double | pixel_size
int | negate
GdkPixbuf * | pixbuf

The documentation for this class was generated from the following files:

- mixed/mricp/include/map.h
- map.cpp

Last updated 12 September 2005 21:38:45